Page MenuHomePhabricator

Deprecate/remove Ogg Theora video output formats in favor of WebM
Closed, ResolvedPublic

Description

The ogv.js media player shim used for Safari/IE/Edge supports WebM in current versions, but we also generate Ogg Theora video output which are currently used *only* with the ogv.js output mode as the Ogg Theora videos play back a bit faster.

In the short term, we're having trouble migrating ffmpeg2theora for Ogg Theora generation to the latest version of the base OS for the scalers (T145742)... and in the long term we'll need to drop Ogg to support adaptive streaming, so was already planning to deprecate it.

Todo:

  • enable WebM playback in ogv.js mode (T172444)
  • remove the Ogg video formats from $wgEnabledTranscodes
  • -> move on to server migration T145742

Event Timeline

brion created this task.Aug 3 2017, 8:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 3 2017, 8:05 PM
Johan added a subscriber: Johan.Aug 9 2017, 3:43 PM

What would be the timeline for this (if possible to say)?

brion added a comment.Aug 9 2017, 4:03 PM

@Johan sometime in the next few weeks (it's holding up a server migration for the video scalers so we don't want to wait too long). We can pick a date if that helps with any required messaging; I just don't want to flip the switch in the middle of Wikimania while we're all busy. ;)

Note that 'ogg' and 'ogv' video file uploads will still work (auto-converted to WebM for output), but the 'ogv' video derivatives will stop being produced. Ogg audio files are unaffected.

Johan added a comment.Aug 9 2017, 4:04 PM

A date is always appreciated. (:

brion added a comment.Aug 9 2017, 4:07 PM

Let's say we flip the switch Wednesday, August 23, 2017? That gives some time to finalize the patches after Wikimania, and avoids the eclipse day when people are likely to be busy. ;)

Change 370855 had a related patch set uploaded (by Brion VIBBER; owner: Brion VIBBER):
[mediawiki/extensions/TimedMediaHandler@master] [WIP] Disable Ogg Theora video transcodes in default config

https://gerrit.wikimedia.org/r/370855

Johan added a comment.Aug 9 2017, 6:13 PM

Sounds good. I'll include it in the Tech News issue to be distributed on August 21.

The current wording is somewhat confusing to me. How about this instead (not a native speaker):

The ogv.js media player (used on web browsers which don't support WebM natively such as Internet Explorer/Safari/Edge) will now play videos in the WebM format instead of the previously used (and now deprecated) Ogg Theora. Ogg Vorbis audio files will continue to be supported.

@MoritzMuehlenhoff Even if you're a non-native speaker, you'll be far better at understanding this than many non-technical native speakers. (: Examples of words that can be very complicated for some readers: "natively", "deprecated". But I've tried to build on your suggestion, and include more information. Is it clearer at all?

(Tech News will always have to sacrifice precision for simplicity, but there's a link to this task, so those who want to know more can follow it and hopefully read more here.)

The first sentence is still misleading: This should simply be "Videos will now always be played the WebM format instead."

With the new setup uploaded videos will no longer be converted to Ogg videos, so this should simply refer to videos in general.

Johan added a comment.Aug 17 2017, 3:26 PM

@MoritzMuehlenhoff Ah, thank you for the correction!

brion added a comment.Aug 17 2017, 3:33 PM

I rewrote it a bit https://meta.wikimedia.org/w/index.php?title=Tech/News/2017/34&diff=17122835&oldid=17122825 -- let me know if everyone's happy with this version. :)

Change 370855 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] Disable Ogg Theora video transcodes in default config

https://gerrit.wikimedia.org/r/370855

Change 373692 had a related patch set uploaded (by Brion VIBBER; owner: Brion VIBBER):
[mediawiki/extensions/TimedMediaHandler@wmf/1.30.0-wmf.15] Disable Ogg Theora video transcodes in default config

https://gerrit.wikimedia.org/r/373692

brion added a comment.Aug 24 2017, 9:14 PM

All seems well with playback, planning to merge disabling of the .ogv generation at today's SF late swat.

Change 373692 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@wmf/1.30.0-wmf.15] Disable Ogg Theora video transcodes in default config

https://gerrit.wikimedia.org/r/373692

Mentioned in SAL (#wikimedia-operations) [2017-08-24T23:17:00Z] <thcipriani@tin> Synchronized php-1.30.0-wmf.15/extensions/TimedMediaHandler/TimedMediaHandler.php: SWAT: [[gerrit:373692|Disable Ogg Theora video transcodes in default config]] T172445 (duration: 00m 45s)

brion closed this task as Resolved.Aug 24 2017, 11:19 PM

Done! Old transcodes will still exist for now; should leave them there for a while to ensure HTML caches referencing them go out of style, but new ones won't be created and newly generated pages won't use/reference them.

Should now be safe to transition scalers to updated Debian without worrying about custom ffmpeg2theora or libtheora packages.

Change 373733 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Remove ffmpeg2theora from package list

https://gerrit.wikimedia.org/r/373733

Change 373733 merged by Muehlenhoff:
[operations/puppet@production] Remove ffmpeg2theora from package list

https://gerrit.wikimedia.org/r/373733